Subject: bug#20104: [PATCH] gzip: make the GZIP env var obsolescent

From: Paul Eggert <[email-masked]>
Date: Tue, 17 Mar 2015 22:38:34 -0700

Jim Meyering wrote:
> Perhaps we should
> try harder to find a tar-creating program that has options to do the
> above, and simply abort when it is not found.

For creating tarballs, I think it'd be enough to simply specify the options on 
the command line.  Traditional 'tar' will reject them (with "tar: =: unknown 
function modifier") and will fail.  By and large, only developers want to create 
tarballs, and it's OK to ask them to use development-quality tools.

I did propose an Automake patch, here:

http://bugs.gnu.org/20132

This patch misspells "automake" as "autoconf"; I'll fix that before it goes in.

It's just a quality-of-implementation issue, as unpatched Automake will work OK 
with bleeding-edge gzip.  The main upside of the patch is that even with 
bleeding-edge gzip Automake would by default generate .gz tarballs no larger 
than the tarballs generated by unpatched Automake with older gzip.